Skip to main content
GET
List tables

Authorizations

Authorization
string
header
required

Token JWT de autenticação

Headers

x-company-id
string

Target company identifier. Required only for global API keys (type=global). Ignored for company API keys and human users.

Query Parameters

page
number
default:1

Page number

Required range: x >= 1
limit
number
default:10

Items per page

Required range: x >= 1
status
enum<string>

Filter by status (singular, backward compatible)

Available options:
PROCESSING,
READY,
ERROR,
PARTIAL
statuses
enum<string>[]

Filter by multiple statuses

Available options:
PROCESSING,
READY,
ERROR,
PARTIAL

Search by name

table_kind
enum<string>

Filter by table type (dataset or list)

Available options:
dataset,
list
object_type
enum<string>

Filter by object type (contact or business)

Available options:
contact,
business
created_from
string

Minimum creation date (ISO 8601)

created_to
string

Maximum creation date (ISO 8601)

updated_from
string

Minimum update date (ISO 8601)

updated_to
string

Maximum update date (ISO 8601)

row_count_min
number

Minimum number of records

Required range: x >= 0
row_count_max
number

Maximum number of records

Required range: x >= 0
column_count_min
number

Minimum number of columns

Required range: x >= 0
column_count_max
number

Maximum number of columns

Required range: x >= 0
sort_by
enum<string>
default:updatedAt

Sort field

Available options:
createdAt,
updatedAt,
name,
stats.row_count,
stats.column_count
sort_order
enum<string>
default:desc

Sort direction

Available options:
asc,
desc

Response

200 - application/json

The response is of type object.